# -------------------------------------------------
# Project created by QtCreator 2010-08-12T14:46:35
# -------------------------------------------------
QT = core \
    xml \
    network\
    xmlpatterns\
    qdbus\
    script

TARGET_NAME = msavk

unix: { 
    TARGET = $${TARGET_NAME}
} else {
    TARGET = $$qtLibraryTarget($$TARGET_NAME)
}

VERSION = 1.2.0

TEMPLATE = lib

CONFIG += link_pkgconfig \
    thread \ 
    # debug_and_release \
    # build_all
    debug\
    qdbus

PKGCONFIG += 

DEFINES += msavk_LIBRARY

CONFIG (debug, debug|release) {
    OBJECTS_DIR = build/debug
} else {
    OBJECTS_DIR = build/release
}

# include private developer settings
exists(../devel.pri):include(../devel.pri)

DEFINES += LOCALDATADIR=\\\"/.msa/\\\"

isEmpty(PREFIX):PREFIX = $$[QT_INSTALL_PREFIX]
message(prefix is $$PREFIX)

# prefix for search shared files
exists($$PREFIX) { 
    DATAPREFIX = $$PREFIX/share
    DEFINES += DATAPREFIX=\\\"$$DATAPREFIX\\\"
    message(dataprefix is $$DATAPREFIX)
    BINDIR = $$PREFIX/bin
    LIBDIR = $$PREFIX/lib
    !maemo5:contains(QMAKE_HOST.arch, x86_64)::LIBDIR = $$PREFIX/lib64
    INCLUDEDIR = $$PREFIX/include
    DATADIR = $$PREFIX/share
}

# meego harmattan sdk defines
exists($$QMAKE_INCDIR_QT"/../qmsystem2/qmkeys.h"):!contains(MEEGO_EDITION,harmattan): {
  MEEGO_VERSION_MAJOR     = 1
  MEEGO_VERSION_MINOR     = 2
  MEEGO_VERSION_PATCH     = 0
  MEEGO_EDITION           = harmattan
  DEFINES += MEEGO_EDITION_HARMATTAN
}

SOURCES += mysocials_driver.cpp \
    interface.cpp \
    profile.cpp \
    driver.cpp \
    request.cpp \
    parser.cpp

HEADER_CORE = msavk_global.h \
    interface.h \
    mysocials_driver.h \
    profile.h \
    driver.h

HEADERS += $$HEADER_CORE \
    request.h \
    config.h \
    parser.h

CODECFORSRC = UTF-8

system("sed -e 's:@prefix@:$$PREFIX:g;s:@exec_prefix@:$$BINDIR:g;s:@libdir@:$$LIBDIR:g;s:@includedir@:$$INCLUDEDIR/msavk:g;s:@VERSION@:$$VERSION:g' ../data/msavk.pc.in >../data/msavk.pc")

# make install
INSTALLS += target \
    pkgconfig \

target.path = $$LIBDIR

pkgconfig.path = $$LIBDIR/pkgconfig
pkgconfig.files = ../data/*.pc

# library documentation
htmldocs.path = $$DATADIR/doc/msavk
htmldocs.files = ../doc/html*
INSTALLS += htmldocs

qtdocs.path = $$DATADIR/qt4/doc/qch
qtdocs.files = ../doc/*.qch
INSTALLS += qtdocs
